Package dev.plex.services

# Class AbstractService

java.lang.Object
dev.plex.services.AbstractService

All Implemented Interfaces:
  `PlexBase`, `IService`

Direct Known Subclasses:
  `AutoWipeService`, `BanService`, `CommandBlockerService`, `GameRuleService`, `TimingService`, `UpdateCheckerService`

public abstract class AbstractService extends Object implements IService, PlexBase

## Field Summary

Fields
Modifier and Type
Field
Description
`private final boolean`
`asynchronous`
`private final boolean`
`repeating`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`AbstractService(boolean repeating, boolean async)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onEnd()`
`void`
`onStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface dev.plex.services.IService

`repeatInSeconds, run`

## Field Details

### asynchronous

private final boolean asynchronous

### repeating

private final boolean repeating

## Constructor Details

### AbstractService

public AbstractService(boolean repeating, boolean async)

## Method Details

### onStart

public void onStart()

### onEnd

public void onEnd()